Bug 819661 - segfaults on startup due to API mismatch
segfaults on startup due to API mismatch
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-disk-utility (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: David Zeuthen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-07 17:31 EDT by Tomasz Torcz
Modified: 2013-03-05 23:08 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-08 10:10:17 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomasz Torcz 2012-05-07 17:31:16 EDT
Description of problem:
% palimpsest 
(palimpsest:15296): GLib-GIO-WARNING **: Trying to set property IdLabel of type ay but according to the expected interface the type is s
(palimpsest:15296): GLib-GIO-WARNING **: Trying to set property IdUUID of type ay but according to the expected interface the type is s
(palimpsest:15296): GLib-GIO-WARNING **: Trying to set property Model of type ay but according to the expected interface the type is s
(palimpsest:15296): GLib-GIO-WARNING **: Trying to set property Name of type ay but according to the expected interface the type is s
(palimpsest:15296): GLib-GIO-WARNING **: Trying to set property Revision of type ay but according to the expected interface the type is s
(palimpsest:15296): GLib-GIO-WARNING **: Trying to set property Serial of type ay but according to the expected interface the type is s
(palimpsest:15296): GLib-GIO-WARNING **: Trying to set property UUID of type ay but according to the expected interface the type is s
(palimpsest:15296): GLib-GIO-WARNING **: Trying to set property Vendor of type ay but according to the expected interface the type is s
Segmentation fault (core dumped)

(repeating lines uniq'ed)

Version-Release number of selected component (if applicable):
gnome-disk-utility-3.4.1-1.fc17.x86_64
udisks2-1.94.0-2.fc17.x86_64

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 David Zeuthen 2012-05-08 10:10:17 EDT
Yep, that's why the udisks2-1.94.0 update had SuggestReboot=TRUE (technically just restarting udisksd.service is enough), there's some more information here https://bugzilla.gnome.org/show_bug.cgi?id=673988#c3

Note You need to log in before you can comment on or make changes to this bug.